Bug 242552

Summary: New port: science/orthanc-mysql: Plugins to use MySQL or MariaDB for indexing and storage in Orthanc
Product: Ports & Packages Reporter: Frank Scholl <maintainer.freebsd>
Component: Individual Port(s)Assignee: Guangyuan Yang <ygy>
Status: Closed FIXED    
Severity: Affects Some People CC: ygy
Priority: --- Keywords: patch-ready
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on: 242546    
Bug Blocks:    
Attachments:
Description Flags
.shar of the orthanc-mysql port
none
orthanc-mysql-2.0_3
none
Diff / the latest version of science/orthanc-mysql (orthanc-mysql-2.0_3), diff based on r545144)
maintainer.freebsd: maintainer-approval+
orthanc-mysql 4.0
maintainer.freebsd: maintainer-approval+
orthanc-mysql 4.0
maintainer.freebsd: maintainer-approval+
orthanc-mysql-4.0.diff
maintainer.freebsd: maintainer-approval+
orthanc-mysql-4.0.diff
maintainer.freebsd: maintainer-approval+
orthanc-mysql-4.0.diff maintainer.freebsd: maintainer-approval+

Description Frank Scholl 2019-12-10 17:13:20 UTC
Created attachment 209837 [details]
.shar of the orthanc-mysql port

This is a new port to provide science/orthanc with a MySQL database backend. Willing to maintain the port from now on.
Comment 1 Frank Scholl 2019-12-11 10:50:34 UTC
This new port depends on science/orthanc, which got submitted in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=242546.
Comment 2 Frank Scholl 2020-06-24 15:54:32 UTC
Currently figuring out how to get cmake to find mysqlclient headers. Updating this port when it can be built against orthanc-1.7.1.
Comment 3 Frank Scholl 2020-06-25 16:57:04 UTC
Created attachment 215940 [details]
orthanc-mysql-2.0_3

Update to build with orthanc-1.7.1, made portlint happy, builds in poudriere, patched .cmake to detect installed mysqlclient library
Comment 4 Frank Scholl 2020-08-06 08:59:06 UTC
This version is tested to work with orthanc-1.7.2 (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=242546).
Comment 5 Frank Scholl 2020-08-17 09:39:24 UTC
Created attachment 217277 [details]
Diff / the latest version of science/orthanc-mysql (orthanc-mysql-2.0_3), diff based on r545144)

This diff is based on today's head (r545144), including:

- added orthanc-mysql to science/Makefile
Comment 6 Frank Scholl 2021-05-18 12:52:55 UTC
Created attachment 225066 [details]
orthanc-mysql 4.0

Updated port to work with current science/orthanc.
Comment 7 Frank Scholl 2021-05-28 17:07:51 UTC
Created attachment 225336 [details]
orthanc-mysql 4.0

This port got an update and now uses CMAKE_ON / CMAKE_OFF instead of using CMAKE_ARGS.

Further information:
- portlint is fine.
- Builds in poudriere (testport), tested for 11.4, 12.2 and 13.0
Comment 8 Frank Scholl 2021-06-06 11:44:03 UTC
Created attachment 225594 [details]
orthanc-mysql-4.0.diff

- DISTVERSION is used instead of PORTVERSION
Comment 9 Frank Scholl 2021-06-08 19:07:02 UTC
Created attachment 225649 [details]
orthanc-mysql-4.0.diff

Just updated the .diff to also contain changes in `science/Makefile`.
Comment 10 Frank Scholl 2021-06-10 15:28:01 UTC
Created attachment 225705 [details]
orthanc-mysql-4.0.diff

- updated `COMMENT` to align them with the those from other Orthanc plugins
- removed `USE_LDCONFIG` (no shared lib installed)
- added `PLIST_SUB` to use %%PORTVERSION%% in `pkg-plist`
- portlint & portfmt are happy
- poudriere testport successful  on 11.4, 12.2, 13.0
Comment 11 Frank Scholl 2021-06-10 15:30:48 UTC
This port contains two plugins, one for indexing and one for storage of medical data. This is why the `COMMENT` says "plugins", pkg-descr got a clean-up to reflect this as well.
Comment 12 commit-hook freebsd_committer 2021-08-07 21:28:32 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=fd66760b1bf6a428787ca9a98ff9567d22d5dd51

commit fd66760b1bf6a428787ca9a98ff9567d22d5dd51
Author:     Frank Scholl <maintainer.freebsd@xpoundit.com>
AuthorDate: 2021-08-07 21:26:56 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-08-07 21:26:56 +0000

    science/orthanc-mysql: New port

    Orthanc plugin to use MySQL/MariaDB for indexing or storage.

    PR:             242552

 science/Makefile                      |  1 +
 science/orthanc-mysql/Makefile (new)  | 48 +++++++++++++++++++++++++++++++++++
 science/orthanc-mysql/distinfo (new)  |  7 +++++
 science/orthanc-mysql/pkg-descr (new) |  5 ++++
 science/orthanc-mysql/pkg-plist (new) |  4 +++
 5 files changed, 65 insertions(+)
Comment 13 Guangyuan Yang freebsd_committer 2021-08-07 21:36:34 UTC
Committed with modifications. Thanks for the work!